수수수
35
2019-04-10 18:48:15
3
467

안드로이드 개발자 고민입니다.


안녕하세요 이제 4년차 되는 안드로이드 개발자 입니다.

이번에 새로운 앱을 만드는데 

타겟층을 10,20대 여성으로 잡고 개발을 들어갔는데

안드로이드 최소 버전을 몇을 로 해야하는지 고민이 되어서 

글을 적습니다.(회사내의 개발자가 저 혼자라서 의논할사람이 없습니다.)


제 생각에 이제는 5.0(롤리팜)으로 개발을 해도 괜찮다고 생각하는데

건너건너 물어보게되면 (물론 앱에대한 내용을 알리지 않았습니다.)

4.1(젤리빈)부터 하고 있다고 하네요

제 생각에는 타겟층이나 현제 업데이트 현황을 보게되도 굳이 4.x 버전으로 내리지 않아도 

될거 같은데 아직도 4.x 버전으로 개발하는 이유가 무엇인지 

개발자 선배님들의 조언을 듣고 싶습니다. 

0
  • 답변 3

  • 근원으로
    405
    2019-04-10 19:50:50

    질문에 답이 있는 것 같습니다.

    10, 20대 여성이 타겟이라고 하셨는데 

    보통 그런 젊은층에서 안드로이드 4.0대의 구형 폰을 

    쓸 것인가를 고민해보시면 될 것 같습니다.

    그리고 쓰시는 분이 간혹 있다고 해도 그분들은 

    카톡이나 전화 외의 앱에 크게 관심이 

    없을 확률이 높습니다.


  • 개고만사
    88
    2019-04-10 22:31:00

    저도 안드로이드 5버전 기준으로 개발합니다. 아마 다음 앱은 6이상 사용할것 같네요

  • Deer Hunter
    328
    2019-04-11 02:51:39

    Google 에서 최근 Google play store 에 접속한 device 들을 기반으로 분석한 version, screen resolution 등의 분포 정보를 제공합니다. 참고하시기 바랍니다.

    https://developer.android.com/about/dashboards


  • 로그인을 하시면 답변 을 등록할 수 있습니다.